> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vLLM deployments

> Paginated list of vLLM deployments.



## OpenAPI

````yaml get /api/vllm/deployments
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/vllm/deployments:
    get:
      tags:
        - Inferencing
      summary: List vLLM deployments
      description: Paginated list of vLLM deployments.
      operationId: list_deployments_api_vllm_deployments_get
      parameters:
        - name: domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Domain
        - name: owner
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Owner
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/VllmDeploymentStatus'
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VllmDeploymentsList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    VllmDeploymentStatus:
      type: string
      enum:
        - pending
        - deploying
        - active
        - failed
        - stopped
        - archived
      title: VllmDeploymentStatus
    VllmDeploymentsList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/VllmDeploymentResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: VllmDeploymentsList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VllmDeploymentResponse:
      properties:
        deployment_id:
          type: string
          format: uuid
          title: Deployment Id
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/VllmDeploymentStatus'
        domain:
          type: string
          title: Domain
        owner:
          type: string
          title: Owner
        finetune_job_id:
          type: string
          format: uuid
          title: Finetune Job Id
        base_model:
          type: string
          title: Base Model
        registered_model_name:
          type: string
          title: Registered Model Name
        model_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Version
        served_model_name:
          type: string
          title: Served Model Name
        service_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Url
        replica_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Replica Count
        ready_replicas:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ready Replicas
        router_endpoint_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Router Endpoint Name
        router_model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Router Model Name
        gpu_resources:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Gpu Resources
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        stopped_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Stopped At
      type: object
      required:
        - deployment_id
        - name
        - status
        - domain
        - owner
        - finetune_job_id
        - base_model
        - registered_model_name
        - served_model_name
        - created_at
        - updated_at
      title: VllmDeploymentResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````